Bug 867925 - dependency to tracker universe
dependency to tracker universe
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-18 11:12 EDT by Mads Kiilerich
Modified: 2014-02-05 07:37 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:37:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mads Kiilerich 2012-10-18 11:12:09 EDT
f18 nautilus has grown a packaging and linking dependency to tracker. That is a lot of extra weight to include in a live image.

Please make the tracker dependency optional somehow.

I guess the crux is that some nautilus users disagree with

  commit f1dd42ec1c86e78fa894c07ee6b0c8df60d45acb
  Author: Cosimo Cecchi <cosimoc@gnome.org>
  Date:   2011-09-07

    tracker: use libtracker-sparql directly

    It's not a problem for nautilus to depend on libtracker-sparql here
    instead of using g_module_open()

and do consider it a problem to depend on libtracker-sparql.

(Mandatory dependencies to tracker is something some users consider a problem with many tools. It would perhaps be better to provide a stub implementation of libtracker-sparql-0.14.so.0 ...)

nautilus-3.6.1-1.fc18.i686
tracker-0.14.2-4.fc18.i686
Comment 1 Fedora Admin XMLRPC Client 2013-05-08 19:58:07 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Admin XMLRPC Client 2013-05-08 20:01:00 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Steve Tyler 2013-08-09 03:45:15 EDT
See also:
Bug 747689 - provide a method to disable tracker
Comment 4 Fedora End Of Life 2013-12-21 04:08:55 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2014-02-05 07:37:53 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.